#
# spec file for package perl-MIME-Charset
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name MIME-Charset
Name:           perl-MIME-Charset
Version:        1.013.1
Release:        1.12
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Charset Information for MIME
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEZUMI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
%{perl_requires}

%description
MIME::Charset provides information about character sets used for MIME
messages on Internet.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
PERL_USE_UNSAFE_INC=1 perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license ARTISTIC COPYING

%changelog
* Sat Aug 13 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.013.1
  see /usr/share/doc/packages/perl-MIME-Charset/Changes
  1.013.1  2022-08-12  Hatuka*nezumi - IKEDA Soji  <hatuka(at)nezumi.nu>
  * No new features.
  * Update META.json.
  1.013  2022-08-09  Hatuka*nezumi - IKEDA Soji  <hatuka(at)nezumi.nu>
  * Update tests.
  * A typo in comment: "3.18" should be "3.19".
  * Fix: Escape sequences won't be used with DIN 66003.
  1.013_01  2022-08-08  Hatuka*nezumi - IKEDA Soji  <hatuka(at)nezumi.nu>
  * Imp: Added support for DIN 66003.
  * Chg: Workaround: "ISO-8859-8-I" is treated as an alias of "ISO-8859-8"
    by Encode (3.18): See the note in
    https://encoding.spec.whatwg.org/#legacy-single-byte-encodings
    However we'll treat these as separate names for compatibility.
* Wed Apr 12 2017 coolo@suse.com
- updated to 1.012.2
  see /usr/share/doc/packages/perl-MIME-Charset/Changes
  1.012.2  2017-04-11  Hatuka*nezumi - IKEDA Soji  <hatuka(at)nezumi.nu>
  * Fix: Perl >= 5.26: Makefile.PL cannot use inc::Module::Install.
* Fri Apr  7 2017 coolo@suse.com
- updated to 1.012.1
  see /usr/share/doc/packages/perl-MIME-Charset/Changes
  1.012.1  2017-04-07  Hatuka*nezumi - IKEDA Soji  <hatuka(at)nezumi.nu>
  * Fix: CPAN RT #116459: Remove "." from @INC when loading modules.
    A workaround for CVE-2016-1238.
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.012
  see /usr/share/doc/packages/perl-MIME-Charset/Changes
  1.012  2015-03-28  Hatuka*nezumi - IKEDA Soji  <hatuka(at)nezumi.nu>
  * CPAN RT #100839: Malformed JSON in META.json.
  1.011.3  2014-12-10  Hatuka*nezumi - IKEDA Soji  <hatuka(at)nezumi.nu>
  * Use "eval 'require ...'" to import optional encoding modules.
    Overridden $SIG{__DIE__} can pass "eval 'use ...'".
  * Replace META.yml with META.json.
  1.011.2  2014-11-27  Hatuka*nezumi - IKEDA Soji  <hatuka(at)nezumi.nu>
  * Added module CPAN to configure_require for inc::Test::AutoInstall.
  * Added POD2::Base to recommended feature.
  * Fix: wrong prototype for _resolve_S().
  * Move repository to github.
* Mon Nov 25 2013 coolo@suse.com
- updated to 1.011.1
  * Fix: "shift_jis-2004" did not depend on Encode::JISX0213 but
    Encode::ShiftJIS2004.
  * Chg: Added gb18030 to extended mapping of GB2312.
  * Updated inc::Module::Install to version 1.01.
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.011.0
  * Use Encode::JISX0213 instead of Encode::JIS2K which was not
    fully implemented.
  * Added support for iso-2022-jp-2 and JIS X 0213 encodings.
  * Reformat Changes file to suit to CPAN::Changes::Spec.
* Wed Jun  5 2013 coolo@suse.com
- updated to 1.010
  * Fix: UTF-16 & UTF-32 encoders are died by the texts without BOM.
  * Added a test #6 and some cases to test #4.
  * Changed layout of distribution.
  * No new features.
  * CPAN RT #77715: Spelling mistake in documentation.
  * Bug on CPAN site: cannot render PODs including "=item" with
    non-ASCII.
  * Fix: detect_7bit_charset(): if charset was unknown, returns undef
    instead of "US-ASCII".
  * COPYING: Updated the address of FSF.
* Wed Aug  3 2011 pascal.bleser@opensuse.org
- update to 1.009.1:
  * workaround for aliasing on TIS-620 that is treated as ISO-8859-11 by Encode
  * added WINDOWS-874 as EXTENDED map of TIS-620
  * result of _find_encoder() will be cached
  * 'S' encoding will be resolved numerically, without comparing actually
    encoded lengths
  * added informations for WINDOWS-125[03-8].
- changes from 1.008.2:
  * Bug Fix: body transfer-encoding profile "S" did not work properly, and
    profile for UTF-8 was NOT really updated
- changes from 1.008.1:
  * workaround for CPAN RT#65796: deep recursion error finding invalid charset;
    limit length of charset name up to 75
  * supports Unicode/multibyte on Perl 5.7.3 (experimental)
  * Perl 5.7.3 & 5.8.3: avoid ``Useless use of a constant in void context''
    warnings
* Sat Feb 19 2011 pascal.bleser@opensuse.org
- initial version (1.008)
